<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.0" language="fi_FI">
<context>
    <name>ActivityWidget</name>
    <message>
        <location filename="../src/activitywidget.cpp" line="115"/>
        <source> via %1</source>
        <translation> sovelluksella %1</translation>
    </message>
    <message>
        <location filename="../src/activitywidget.cpp" line="124"/>
        <source>To:</source>
        <translation>To:</translation>
    </message>
    <message>
        <location filename="../src/activitywidget.cpp" line="127"/>
        <source>CC:</source>
        <translation>CC:</translation>
    </message>
    <message>
        <location filename="../src/activitywidget.cpp" line="144"/>
        <source>Public</source>
        <translation>Julkinen</translation>
    </message>
</context>
<context>
    <name>ActorWidget</name>
    <message>
        <location filename="../src/actorwidget.cpp" line="137"/>
        <source>stop following</source>
        <translation>lopeta seuraaminen</translation>
    </message>
    <message>
        <location filename="../src/actorwidget.cpp" line="138"/>
        <source>follow</source>
        <translation>seuraa</translation>
    </message>
    <message>
        <location filename="../src/actorwidget.cpp" line="140"/>
        <source>stop minimising posts</source>
        <translation>lopeta viestien pienentäminen</translation>
    </message>
    <message>
        <location filename="../src/actorwidget.cpp" line="141"/>
        <source>auto-minimise posts</source>
        <translation>pienennä viestit automaattisesti</translation>
    </message>
    <message>
        <location filename="../src/actorwidget.cpp" line="149"/>
        <source>Are you sure you want to stop following %1?</source>
        <translation>Haluatko lopettaa henkilön %1 seuraamisen?</translation>
    </message>
</context>
<context>
    <name>CollectionWidget</name>
    <message>
        <location filename="../src/collectionwidget.cpp" line="69"/>
        <source>Load older</source>
        <translation>Lataa vanhemmat</translation>
    </message>
</context>
<context>
    <name>EditProfileDialog</name>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="42"/>
        <source>&amp;Change picture</source>
        <translation>Vaihda &amp;kuva</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="49"/>
        <source>Real name</source>
        <translation>Nimesi</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="55"/>
        <source>Hometown</source>
        <translation>Kotipaikkasi</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="61"/>
        <source>Bio</source>
        <translatorcomment>Tietoja minusta/kuvaus minusta/...</translatorcomment>
        <translation>Kuvaus</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="138"/>
        <source>Select Image</source>
        <translation>Valitse kuva</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="139"/>
        <source>Image files (*.png *.jpg *.jpeg *.gif);;All files (*.*)</source>
        <translation>Kuvatiedostot (*.png, *.jpg, *.jpeg, *.gif);;Kaikki tiedostot (*.*)</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="147"/>
        <source>Sorry!</source>
        <translation>Hups!</translation>
    </message>
    <message>
        <location filename="../src/editprofiledialog.cpp" line="148"/>
        <source>That file didn&apos;t appear to be an image.</source>
        <translation>Tämä tiedosto ei näyttäisi olevan kuva.</translation>
    </message>
</context>
<context>
    <name>FileDownloader</name>
    <message>
        <location filename="../src/filedownloader.cpp" line="291"/>
        <source>Network error: </source>
        <translation>Verkkovirhe:</translation>
    </message>
    <message>
        <location filename="../src/filedownloader.cpp" line="298"/>
        <source>Network error: too many redirections!</source>
        <translation>Verkkovirhe: liian monta uudelleenohjausta!</translation>
    </message>
    <message>
        <location filename="../src/filedownloader.cpp" line="320"/>
        <source>Unable to download %1 (Error #%2).</source>
        <translation>Tiedoston %1 lataaminen ei onnistu (virhe #%2).</translation>
    </message>
    <message>
        <location filename="../src/filedownloader.cpp" line="330"/>
        <source>Could not open file %1 for writing: </source>
        <translation>Tiedoston %1 avaaminen kirjoittamista varten ei onnistu: </translation>
    </message>
</context>
<context>
    <name>FullObjectWidget</name>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="105"/>
        <source>delete</source>
        <translation>poista</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="109"/>
        <source>edit</source>
        <translation>muokkaa</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="313"/>
        <source>[No description]</source>
        <translation>[Ei kuvausta]</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="113"/>
        <source>comment</source>
        <comment>Button to comment on a post</comment>
        <translation>vastaa</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="349"/>
        <source>at %1</source>
        <comment>location of person</comment>
        <translation>paikassa %1</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="351"/>
        <source>Profile last updated %1</source>
        <translation>Profiilia päivitetty viimeksi %1</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="359"/>
        <source>updated %1</source>
        <translation>päivitetty %1</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="366"/>
        <source>at %1</source>
        <comment>time when post was published</comment>
        <translation> %1</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="386"/>
        <source>unlike</source>
        <translation>älä tykkääkään</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="386"/>
        <source>like</source>
        <translation>tykkää</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="398"/>
        <source>share</source>
        <translation>jaa</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="423"/>
        <source>stop following</source>
        <translation>lopeta seuraaminen</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="424"/>
        <source>follow</source>
        <translation>seuraa</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="440"/>
        <source>follow %1</source>
        <translation>seuraa henkilöä %1</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="510"/>
        <source>You like this.</source>
        <translation>Sinä tykkäät tästä.</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="512"/>
        <source>%1 likes this.</source>
        <translation>%1 tykkää tästä.</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="514"/>
        <source>%1 like this.</source>
        <translation>%1 tykkäävät tästä.</translation>
    </message>
    <message numerus="yes">
        <location filename="../src/fullobjectwidget.cpp" line="543"/>
        <source>and %Ln other person(s)</source>
        <translation>
            <numerusform>ja yksi muu henkilö</numerusform>
            <numerusform>ja %Ln muuta henkilöä</numerusform>
        </translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="545"/>
        <source>shared this.</source>
        <comment>Many persons shared</comment>
        <translation>jakoivat tämän.</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="547"/>
        <source>shared this.</source>
        <comment>One person shared</comment>
        <translation>jakoi tämän.</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="671"/>
        <source>post</source>
        <comment>Name of object type.</comment>
        <translatorcomment>Käytetään suomennoksissa &quot;jakaa/poistaa postin&quot;.</translatorcomment>
        <translation>postin</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="674"/>
        <source>note</source>
        <comment>Name of object type.</comment>
        <translatorcomment>Käytetään suomennoksissa &quot;jakaa/poistaa viestin&quot;.</translatorcomment>
        <translation>viestin</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="676"/>
        <source>comment</source>
        <comment>Name of object type.</comment>
        <translatorcomment>Käytetään suomennoksissa &quot;jakaa/poistaa kommentin&quot;.</translatorcomment>
        <translation>kommentin</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="678"/>
        <source>image</source>
        <comment>Name of object type.</comment>
        <translatorcomment>Käytetään suomennoksissa &quot;jakaa/poistaa kuvan&quot;.</translatorcomment>
        <translation>kuvan</translation>
    </message>
    <message numerus="yes">
        <location filename="../src/fullobjectwidget.cpp" line="550"/>
        <source>%Ln person(s) shared this.</source>
        <translation>
            <numerusform>yksi henkilö jakoi tämän.</numerusform>
            <numerusform>%Ln henkilöä jakoivat tämän.</numerusform>
        </translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="627"/>
        <source>Show all replies</source>
        <translation>Näytä kaikki vastaukset</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="699"/>
        <source>Are you sure you want to delete this %1?</source>
        <translation>Haluatko poistaa tämän %1?</translation>
    </message>
    <message>
        <location filename="../src/fullobjectwidget.cpp" line="719"/>
        <source>Share this %1 by %2?</source>
        <translation>Haluatko jakaa henkilön %2 %1?</translation>
    </message>
</context>
<context>
    <name>MessageEdit</name>
    <message>
        <location filename="../src/messageedit.cpp" line="192"/>
        <source>Spelling suggestions...</source>
        <translation>Oikeinkirjoitusehdotukset…</translation>
    </message>
</context>
<context>
    <name>MessageRecipients</name>
    <message>
        <location filename="../src/messagerecipients.cpp" line="52"/>
        <source>-</source>
        <translation>-</translation>
    </message>
</context>
<context>
    <name>MessageWindow</name>
    <message>
        <location filename="../src/messagewindow.cpp" line="71"/>
        <source>Use Markdown</source>
        <translation>Käytä Markdownia</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="76"/>
        <source>[help]</source>
        <translation>[ohje]</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="91"/>
        <source>To:</source>
        <translation>Vastaanottajat (To):</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="92"/>
        <source>Cc:</source>
        <translation>Kopiot (CC):</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="102"/>
        <source>&amp;Remove picture</source>
        <translation>Poista &amp;kuva</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="106"/>
        <source>+ &amp;To</source>
        <translation>+ &amp;To</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="109"/>
        <source>+ &amp;Cc</source>
        <translation>+ &amp;Cc</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="127"/>
        <source>Title (optional)</source>
        <translation>Otsikko (vapaaehtoinen)</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="168"/>
        <source>Ca&amp;ncel</source>
        <translation>&amp;Peru</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="171"/>
        <source>&amp;Preview</source>
        <translation>&amp;Esikatselu</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="174"/>
        <source>&amp;Send message</source>
        <translation>&amp;Lähetä viesti</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="245"/>
        <source>Select recipient (To)</source>
        <translation>Valitse vastaanottaja (To)</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="251"/>
        <source>Select recipient (Cc)</source>
        <translation>Valitse vastaanottaja (CC)</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="305"/>
        <source>Post a reply</source>
        <translation>Lähetä vastaus</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="305"/>
        <source>Post a note</source>
        <translation>Lähetä viesti</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="306"/>
        <source>&amp;Send comment</source>
        <translation>&amp;Lähetä vastaus</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="306"/>
        <source>&amp;Send post</source>
        <translation>&amp;Lähetä viesti</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="352"/>
        <source>Edit object</source>
        <translation>Muokkaa oliota</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="355"/>
        <source>Edit post</source>
        <translation>Muokkaa viestiä</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="357"/>
        <source>Edit comment</source>
        <translation>Muokkaa kommenttia</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="359"/>
        <source>Edit image post</source>
        <translation>Muokaa kuvaviestiä</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="361"/>
        <source>&amp;Update object</source>
        <translation>&amp;Päivitä objekti</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="364"/>
        <source>&amp;Update post</source>
        <translation>&amp;Päivitä viestiä</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="366"/>
        <source>&amp;Update comment</source>
        <translation>&amp;Päivitä kommenttia</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="368"/>
        <source>&amp;Update image post</source>
        <translation>&amp;Päivitä kuvallista viestiä</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="451"/>
        <source>Select Image</source>
        <translation>Valitse kuva</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="452"/>
        <source>Image files (*.png *.jpg *.jpeg *.gif);;All files (*.*)</source>
        <translation>Kuvatiedostot (*.png, *.jpg, *.jpeg, *.gif);;Kaikki tiedostot (*.*)</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="484"/>
        <source>Sorry!</source>
        <translation>Hups!</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="485"/>
        <source>That file didn&apos;t appear to be an image.</source>
        <translation>Tämä tiedosto ei näyttäisi olevan kuva.</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="493"/>
        <source>&amp;Add picture</source>
        <translation>Lisää &amp;kuva</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="501"/>
        <source>&amp;Change picture</source>
        <translation>Vaihda &amp;kuvaa</translation>
    </message>
    <message>
        <location filename="../src/messagewindow.cpp" line="518"/>
        <source>Characters: %1</source>
        <translation>Merkkejä: %1</translation>
    </message>
</context>
<context>
    <name>OAuthFirstPage</name>
    <message>
        <location filename="../src/oauthwizard.cpp" line="44"/>
        <source>Welcome to Pumpa!</source>
        <translation>Tervetuloa käyttämään Pumpaa!</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="49"/>
        <source>&lt;p&gt;In order to use pump.io you need to first register an account with a pump.io server. If you haven&apos;t done this yet you can do it now by trying out one of the existing public servers: &lt;br /&gt;&lt;a href=&quot;http://pump.io/tryit.html&quot;&gt;http://pump.io/tryit.html&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;When you are done enter your new pump.io account id below in the form of &lt;b&gt;username@servername&lt;/b&gt;.&lt;/p&gt;</source>
        <translation>&lt;p&gt;Käyttääksesi pump.io:ta sinun pitää ensin rekisteröidä tunnus jollekin pump.io-palvelimelle. Jos et ole vielä tehnyt sitä, voit tehdä nyt jollekin olemassa olevalla palvelimelle: &lt;br /&gt;&lt;a href=&quot;http://pump.io/tryit.html&quot;&gt;http://pump.io/tryit.html&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;Kun olet valmis, syötä uuden pump.io-tilin tunnus alle muodossa &lt;b&gt;käyttäjä@palvelin&lt;/b&gt;.&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="68"/>
        <source>&lt;b&gt;Your pump.io account id:&lt;/b&gt;</source>
        <translation>&lt;b&gt;Pump.io-tilisi tunnus:&lt;/b&gt;</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="75"/>
        <source>Use secure connection (recommended)</source>
        <translation>Käytä salattua yhteyttä (suositeltu)</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="85"/>
        <source>Next</source>
        <translation>Seuraava</translation>
    </message>
</context>
<context>
    <name>OAuthSecondPage</name>
    <message>
        <location filename="../src/oauthwizard.cpp" line="130"/>
        <source>Authorise Pumpa</source>
        <translation>Valtuuta Pumpa</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="135"/>
        <source>In order for Pumpa to be able to read and post new messages to your pump.io account you need to grant Pumpa access via the web page. Pumpa will open the web page for you - just follow the instructions and copy &amp;amp; paste the &lt;b&gt;verifier&lt;/b&gt; text string back into the field below. (The token should be automatically pre-filled.)</source>
        <translation>Jotta Pumpa voisi lukea ja lähettää uusia viestejä pump.io-tilillesi, sinun täytyy myöntää Pumpalle oikeus WWW-sivun kautta. Pumpa avaa sinulle oikean WWW-sivun. Seuraa sivun ohjeita ja kopioi sieltä &lt;b&gt;verfier&lt;/b&gt;-teksti alla olevaan kenttään. (Token-kentän pitäisi olla automaattisesti täytetty.)</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="145"/>
        <source>Token:</source>
        <translation>Token:</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="151"/>
        <source>Verifier:</source>
        <translation>Verifier:</translation>
    </message>
</context>
<context>
    <name>OAuthWizard</name>
    <message>
        <location filename="../src/oauthwizard.cpp" line="226"/>
        <source>Registering client ...</source>
        <translation>Rekisteröidään asiakasohjelmaa…</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="257"/>
        <source>Network error: </source>
        <translation>Verkkovirhe: </translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="269"/>
        <source>Registered client to [%1] successfully.</source>
        <translation>Asiakasohjelma rekisteröity onnistuneesti palvelimelle %1.</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="278"/>
        <source>Authorising user ...</source>
        <translation>Valtuutetaan käyttäjä…</translation>
    </message>
    <message>
        <location filename="../src/oauthwizard.cpp" line="302"/>
        <source>Network or authentication error!</source>
        <translation>Verkko- tai tunnistautumisvirhe!</translation>
    </message>
</context>
<context>
    <name>ObjectWidget</name>
    <message>
        <location filename="../src/objectwidget.cpp" line="178"/>
        <source>Re: </source>
        <translation>Re: </translation>
    </message>
    <message>
        <location filename="../src/objectwidget.cpp" line="179"/>
        <source>show context</source>
        <translatorcomment>Tähän voisi yrittää keksiä kontekstia paremman suomennoksen. Ehkä keskustelu?</translatorcomment>
        <translation>näytä keskustelu</translation>
    </message>
</context>
<context>
    <name>PumpApp</name>
    <message>
        <location filename="../src/pumpapp.cpp" line="160"/>
        <source>&amp;Inbox</source>
        <translation>&amp;Viestit</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="161"/>
        <source>&amp;Mentions</source>
        <translation>&amp;Maininnat</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="162"/>
        <source>&amp;Direct</source>
        <translation>V&amp;astaanotetut</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="163"/>
        <source>Mean&amp;while</source>
        <translation>&amp;Sillä välin</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="250"/>
        <source>SSL Error: </source>
        <translation>SSL-virhe: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="253"/>
        <source>
%1 is unable to verify the identity of the server. This error could mean that someone is trying to impersonate the server, or that the server&apos;s administrator has made an error.
</source>
        <translation>\n%1 ei pysty varmistamaan palvelimen identiteettiä. Tämä virhe voi tarkoittaa sitä, että joku yrittää tarjota väärennettyä palvelinta tai sitten palvelimen ylläpitäjä on tehty jonkin virheen.</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="261"/>
        <source>SSL Server certificate.
</source>
        <translation>SSL-palvelinsertifikaatti.</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="262"/>
        <source>Issued to: </source>
        <translation>Kohde: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="263"/>
        <source>Issued by: </source>
        <translation>Myöntäjä: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="264"/>
        <source>Effective: </source>
        <translation>Voimassaolo alkaa: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="265"/>
        <source>Expires: </source>
        <translation>Voimassaolo päättyy: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="266"/>
        <source>MD5 digest: </source>
        <translation>MD5-tiiviste: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="273"/>
        <source>&lt;b&gt;Untrusted SSL connection!&lt;/b&gt;</source>
        <translation>&lt;b&gt;Epäluotettava SSL-yhteys!&lt;/b&gt;</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="831"/>
        <source>Public</source>
        <translation>Julkinen</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="314"/>
        <location filename="../src/pumpapp.cpp" line="702"/>
        <source>Followers</source>
        <translation>Seuraajat</translation>
    </message>
    <message numerus="yes">
        <location filename="../src/pumpapp.cpp" line="494"/>
        <source>You have %Ln new notification(s).</source>
        <translation>
            <numerusform>Sinulle on uusi ilmoitus.</numerusform>
            <numerusform>Sinulle on %Ln uutta ilmoitusta.</numerusform>
        </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="504"/>
        <source>%1 commented: </source>
        <translation>%1 kommentoi: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="506"/>
        <source>%1 wrote: </source>
        <translation>%1 kirjoitti: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="579"/>
        <source>Error: </source>
        <translation>Virhe: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="638"/>
        <source>%1 &amp;Window</source>
        <translation>%1 &amp;ikkuna</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="638"/>
        <source>Hide</source>
        <translation>Piilota</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="638"/>
        <source>Show</source>
        <translation>Näytä</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="653"/>
        <source>E&amp;xit</source>
        <translation>&amp;Lopeta</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="654"/>
        <source>Ctrl+Q</source>
        <translation>Ctrl+Q</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="657"/>
        <source>Preferences</source>
        <translation>Asetukset</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="660"/>
        <source>&amp;Reload timeline</source>
        <translation>Lataa &amp;aikajana uudelleen</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="661"/>
        <source>Ctrl+R</source>
        <translation>Ctrl+R</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="665"/>
        <source>Load older in timeline</source>
        <translation>Lataa vanhempia viestejä</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="666"/>
        <source>Ctrl+O</source>
        <translation>Ctrl+O</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="669"/>
        <source>F&amp;ollow an account</source>
        <translation>&amp;Seuraa tiliä</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="670"/>
        <source>Ctrl+L</source>
        <translation>Ctrl+L</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="673"/>
        <source>Your &amp;profile</source>
        <translation>&amp;Profiilisi</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="676"/>
        <source>&amp;About</source>
        <translation>&amp;Tietoja</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="679"/>
        <source>About &amp;Qt</source>
        <translation>Tietoja &amp;Qt:stä</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="682"/>
        <source>Report &amp;bug online</source>
        <translation>Tee &amp;vikailmoitus</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="685"/>
        <source>New &amp;Note</source>
        <translation>Uusi &amp;viesti</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="686"/>
        <source>Ctrl+N</source>
        <translation>Ctrl+N</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="690"/>
        <source>Ctrl+D</source>
        <translation>Ctrl+D</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="694"/>
        <source>Close tab</source>
        <translation>Sulje välilehti</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="695"/>
        <source>Ctrl+W</source>
        <translation>Ctrl+W</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="699"/>
        <source>Firehose</source>
        <translation>Firehose</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="705"/>
        <source>Following</source>
        <translation>Seuratut</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="708"/>
        <source>Favorites</source>
        <translation>Suosikit</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="712"/>
        <source>Activities</source>
        <translation>Aktiviteetit</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="723"/>
        <source>&amp;Pumpa</source>
        <translation>&amp;Pumpa</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="736"/>
        <source>&amp;Tabs</source>
        <translation>&amp;Välilehdet</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="745"/>
        <source>&amp;Help</source>
        <translation>&amp;Ohje</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="777"/>
        <source>&lt;p&gt;Pumpa is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.&lt;/p&gt;&lt;p&gt;Pumpa is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.&lt;/p&gt;&lt;p&gt;You should have received a copy of the GNU General Public License along with Pumpa.  If not, see &lt;a href=&quot;http://www.gnu.org/licenses/&quot;&gt;http://www.gnu.org/licenses/&lt;/a&gt;.&lt;/p&gt;</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="790"/>
        <source>&lt;p&gt;The &lt;a href=&quot;https://github.com/kypeli/kQOAuth&quot;&gt;kQOAuth library&lt;/a&gt; is copyrighted by &lt;a href=&quot;http://www.johanpaul.com/&quot;&gt;Johan Paul&lt;/a&gt; and licensed under LGPL 2.1.&lt;/p&gt;&lt;p&gt;The &lt;a href=&quot;https://github.com/vmg/sundown&quot;&gt;sundown Markdown library&lt;/a&gt; is copyrighted by Natacha Port&amp;eacute;, Vicent Marti and others, and &lt;a href=&quot;https://github.com/vmg/sundown#license&quot;&gt;permissively licensed&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;The Pumpa logo was &lt;a href=&quot;http://opengameart.org/content/fruit-and-veggie-inventory&quot;&gt;created by Joshua Taylor&lt;/a&gt; for the &lt;a href=&quot;http://lpc.opengameart.org/&quot;&gt;Liberated Pixel Cup&lt;/a&gt;.The logo is copyrighted by the artist and is dual licensed under the CC-BY-SA 3.0 license and the GNU GPL 3.0.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="806"/>
        <source>Copyright &amp;copy; 2013-2015 Mats Sj&amp;ouml;berg</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="809"/>
        <source>&lt;p&gt;Report bugs and feature requests at &lt;a href=&quot;%5&quot;&gt;%5&lt;/a&gt;.&lt;/p&gt;</source>
        <translation>&lt;p&gt;Tee vikailmoitukset ja ehdotukset uusista ominaisuuksista osoitteeseen &lt;a href=&quot;%5&quot;&gt;%5&lt;/a&gt;.&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="813"/>
        <source>A simple Qt-based pump.io client.</source>
        <translation>Yksinkertainen Qt-pohjainen pump.io-asiakasohjelma.</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="817"/>
        <source>About %1</source>
        <translation>Tietoja %1sta</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="934"/>
        <source>Site not configured yet!</source>
        <translation>Sivustoa ei ole vielä määritelty!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="984"/>
        <source>Follow pump.io user</source>
        <translation>Seuraa pump.io-käyttäjää</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="985"/>
        <source>Enter webfinger ID of person to follow: </source>
        <translation>Syötä seurattavan henkilön webfinger-ID: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="995"/>
        <source>Sorry, that doesn&apos;t even look like a webfinger ID!</source>
        <translation>Anteeksi, mutta se ei edes näyttänyt webfigner-ID:ltä!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1000"/>
        <source>Sorry, you are already following that person!</source>
        <translation>Anteeksi, mutta seuraat jo tätä henkilöä!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1098"/>
        <source>Invalid user: </source>
        <translation>Toimimaton tunnus:</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1105"/>
        <source>Invalid user (cannot check site): </source>
        <translation>Toimimaton tunnus (sivustoa ei pystyta tarkistamaan): </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1130"/>
        <source>&amp;Context</source>
        <translation>&amp;Keskustelu</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1154"/>
        <source>Fi&amp;rehose</source>
        <translation>Fi&amp;rehose</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1163"/>
        <source>&amp;Followers</source>
        <translation>&amp;Seuraajat</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1172"/>
        <source>F&amp;ollowing</source>
        <translation>S&amp;euratut</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1181"/>
        <source>F&amp;avorites</source>
        <translation>S&amp;uosikit</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1190"/>
        <source>A&amp;ctivities</source>
        <translation>&amp;Aktiviteetit</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1528"/>
        <source>Loading ...</source>
        <translation>Ladataan…</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1590"/>
        <source>Ready!</source>
        <translation>Valmis!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1608"/>
        <source>Unable to post message!</source>
        <translation>Viestin lähettäminen ei onnistu!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1612"/>
        <source>Unable to upload image!</source>
        <translation>Kuvan lataaminen ei onnistu!</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1616"/>
        <source>Network or authorisation error [%1/%2] %3.</source>
        <translation>Verkko- tai tunnistautumisvirhe [%1/%2] %3.</translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1655"/>
        <source>Successfully followed </source>
        <translatorcomment>Tässä olisi hyvä käyttää %1-argumentteja.</translatorcomment>
        <translation>Seurataan kättäjää: </translation>
    </message>
    <message>
        <location filename="../src/pumpapp.cpp" line="1656"/>
        <source>Successfully unfollowed </source>
        <translatorcomment>Tässä olisi hyvä käyttää %1-argumentteja.</translatorcomment>
        <translation>Käyttäjän seuraaminen lopetettu: </translation>
    </message>
</context>
<context>
    <name>PumpaSettingsDialog</name>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="34"/>
        <source>Account</source>
        <translation>Tili</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="37"/>
        <source>Not logged in currently.</source>
        <translation>Ei kirjauduttu sisään.</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="40"/>
        <source>Change account</source>
        <translation>Vaihda tiliä</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="45"/>
        <source>Clicking &quot;Change account&quot; will run the authentication setup again for a new pump.io account. This will remove the current login credentials since Pumpa only supports one account at a time.</source>
        <translation>Painamalla &quot;Vaihda tiliä&quot; tehdään uudet tunnistautumisasetukset pump.io-tilille. Tämä poistaa nykyisen kirjautumisen tunnistautumistiedot, koska Pumpa tukee vain yhtä tiliä kerrallaan.</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="56"/>
        <source>Interface</source>
        <translation>Käyttöliittymä</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="63"/>
        <source>Update interval (in minutes):</source>
        <translation>Päivitysväli (minuuteja):</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="68"/>
        <source>Public</source>
        <translation>Julkinen</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="69"/>
        <source>Followers</source>
        <translation>Seuraajat</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="73"/>
        <source>Default &quot;To&quot;:</source>
        <translation>Oletusvastaanottajat (To):</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="77"/>
        <source>Default &quot;CC&quot;:</source>
        <translation>Oletusvastaanottajat (CC):</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="79"/>
        <source>Use icon in system tray</source>
        <translation>Näytä kuvake järjestelmän ilmoitusalueella</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="82"/>
        <source>Show message character count</source>
        <translation>Näytä merkkilaskuri</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="88"/>
        <source>Notifications</source>
        <translation>Ilmoitukset</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="92"/>
        <source>Never</source>
        <translation>Ei koskaan</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="93"/>
        <source>Direct only</source>
        <translation>Vain vastaanotetusta viesteistä</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="94"/>
        <source>Direct or mention</source>
        <translation>Vastaanotetuista viesteistä ja maininnoista</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="95"/>
        <source>Direct, mention or inbox</source>
        <translatorcomment>Tähän pistisi keksi jokin parempi… </translatorcomment>
        <translation>Vastaanotetuista, maininnoista ja muista viesteistä</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="96"/>
        <source>Anything</source>
        <translation>Kaikista</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="100"/>
        <source>Highlight tray icon on:</source>
        <translation>Korosta ilmoitusalueen kuvake:</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="104"/>
        <source>Popup notification on:</source>
        <translation>Näytä ilmoitus:</translation>
    </message>
    <message>
        <location filename="../src/pumpasettingsdialog.cpp" line="163"/>
        <source>Currently logged in as %1.</source>
        <translation>Kirjauduttu sisään tunnuksella %1.</translation>
    </message>
</context>
<context>
    <name>QASObject</name>
    <message>
        <location filename="../src/qasobject.cpp" line="320"/>
        <source>Deleted %1</source>
        <translation>Poistettu %1</translation>
    </message>
</context>
<context>
    <name>QObject</name>
    <message>
        <location filename="../src/util.cpp" line="160"/>
        <source>a few seconds ago</source>
        <translation>muutama sekunti sitten</translation>
    </message>
    <message>
        <location filename="../src/util.cpp" line="162"/>
        <source>one minute ago</source>
        <translation>minuutti sitten</translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="164"/>
        <source>%n minutes ago</source>
        <translation>
            <numerusform>minuutti sitten</numerusform>
            <numerusform>%n minuuttia sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="166"/>
        <source>one hour ago</source>
        <translation>
            <numerusform>tunti sitten</numerusform>
            <numerusform>%n tuntia sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="168"/>
        <source>%n hours ago</source>
        <translation>
            <numerusform>tunti sitten</numerusform>
            <numerusform>%n tuntia sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="171"/>
        <source>one day ago</source>
        <translation>
            <numerusform>päivä sitten</numerusform>
            <numerusform>%n päivää sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="173"/>
        <source>%n days ago</source>
        <translation>
            <numerusform>päivä sitten</numerusform>
            <numerusform>%n päivää sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="175"/>
        <source>one week ago</source>
        <translation>
            <numerusform>viikko sitten</numerusform>
            <numerusform>%n viikkoa sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="177"/>
        <source>%n weeks ago</source>
        <translation>
            <numerusform>viikko sitten</numerusform>
            <numerusform>%n viikkoa sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="179"/>
        <source>one month ago</source>
        <translation>
            <numerusform>kuukausi sitten</numerusform>
            <numerusform>%n kuukautta sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="181"/>
        <source>%n months ago</source>
        <translation>
            <numerusform>kuukausi sitten</numerusform>
            <numerusform>%n kuukautta sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="183"/>
        <source>one year ago</source>
        <translation>
            <numerusform>vuosi sitten</numerusform>
            <numerusform>%n vuotta sitten</numerusform>
        </translation>
    </message>
    <message numerus="yes">
        <location filename="../src/util.cpp" line="185"/>
        <source>%n years ago</source>
        <translation>
            <numerusform>vuosi sitten</numerusform>
            <numerusform>%n vuotta sitten</numerusform>
        </translation>
    </message>
</context>
</TS>
